> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a transaction

> OAuth scope: `organization.read`



Retrieves the transaction identified by the `id` path parameter.



## OpenAPI

````yaml get /v2/transactions/{id}
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/transactions/{id}:
    get:
      tags:
        - Transactions
      summary: Retrieve a transaction
      description: |-
        OAuth scope: `organization.read`



        Retrieves the transaction identified by the `id` path parameter.
      parameters:
        - $ref: '#/components/parameters/X-Qonto-Staging-Token'
        - name: includes[]
          in: query
          description: >-
            Use this parameter to embed the associated resources (labels,
            attachments and/or VAT details) of the transactions in the JSON
            response.
          schema:
            type: string
            enum:
              - vat_details
              - labels
              - attachments
        - name: id
          in: path
          description: UUID of the transaction to retrieve.
          required: true
          schema:
            type: string
            example: 7b7a5ed6-3903-4782-889d-b4f64bd7bef9
          examples:
            default:
              value: 7b7a5ed6-3903-4782-889d-b4f64bd7bef9
      responses:
        '200':
          description: Returns the transaction identified by the `id` path parameter.
          content:
            application/json:
              schema:
                type: object
                properties:
                  transaction:
                    $ref: '#/components/schemas/Transaction'
              examples:
                default:
                  value:
                    transaction:
                      transaction_id: super-transaction-6576
                      amount: 52.4
                      amount_cents: 5240
                      settled_balance: 111.1
                      settled_balance_cents: 11110
                      attachment_ids: []
                      local_amount: 52.4
                      local_amount_cents: 5240
                      side: debit
                      operation_type: transfer
                      currency: EUR
                      local_currency: EUR
                      label: Stamm and Sons
                      settled_at: '2021-03-14T17:17:02.000Z'
                      emitted_at: '2021-03-06T12:33:13.000Z'
                      created_at: '2021-03-06T12:33:13.000Z'
                      updated_at: '2021-03-21T21:32:03.000Z'
                      status: completed
                      note: Jacynthe Kuhic
                      reference: null
                      vat_amount: null
                      vat_amount_cents: null
                      vat_rate: null
                      initiator_id: 6e5468a1-22ad-4974-bf9f-45652511d39c
                      label_ids:
                        - 872a75d8-b85c-467e-b8f0-091ea48ef68f
                      attachment_lost: false
                      attachment_required: true
                      card_last_digits: '1234'
                      category: gas_station
                      cashflow_category:
                        name: Others
                      cashflow_subcategory:
                        name: Tips
                      id: 7b7a5ed6-3903-4782-889d-b4f64bd7bef9
                      attachments:
                        - id: ea54f563-eaee-4dcb-b08e-688dc9937d23
                          created_at: '2021-03-18T11:52:07.000Z'
                          file_name: Foobar
                          file_size: '666'
                          file_content_type: image/png
                          url: >-
                            https://qonto-dev.s3.eu-central-1.amazonaws.com/test/uploads/attachment/ea54f563-eaee-4dcb-b08e-688dc9937d23/%23%3CRack%3A%3ATest%3A%3AUploadedFile%3A0x00005635fc7cf8e8%3E?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAZ4DSTCECB4IXGFVF%2F20210521%2Feu-central-1%2Fs3%2Faws4_request&X-Amz-Date=20210521T080955Z&X-Amz-Expires=1800&X-Amz-SignedHeaders=host&X-Amz-Signature=b6b8977aff8529018d15a05f3e36cc5b59e325d675b6538ff55005aa8e2eb3ed
                          probative_attachment:
                            status: unavailable
                      labels:
                        - id: 211e69c1-f27f-4b45-a623-bec44a715ee7
                          name: Durable Silk Table
                          parent_id: null
                      subject_type: transfer
                      transfer:
                        counterparty_account_number: NL93RABO3730976796
                        counterparty_account_number_format: IBAN
                        counterparty_bank_identifier: RABO
                        counterparty_bank_identifier_format: SWIFT_BIC
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '404':
          description: Returns a not found error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    $ref: '#/components/schemas/NotFoundError'
                x-examples:
                  Example 1:
                    errors:
                      - code: not_found
                        detail: Transaction not found
                        source:
                          parameter: id
              examples:
                id not found:
                  value:
                    errors:
                      - code: not_found
                        detail: Transaction not found
                        source:
                          parameter: id
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - organization.read
        - SecretKey: []
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
          description: UUID of the transaction.
        transaction_id:
          type: string
        amount:
          type: number
          description: Amount of the transaction in the currency of the bank account.
          format: float
          example: 10,00
        amount_cents:
          type: integer
          description: Amount of the transaction in the currency of the bank account.
          example: 1000
        settled_balance:
          type:
            - number
            - 'null'
          description: >-
            The account balance at the moment the transaction was settled. Might
            be empty for external transaction (i.e. when
            `is_external_transaction == true`).
        settled_balance_cents:
          type:
            - integer
            - 'null'
          description: >-
            The account balance at the moment the transaction was settled. Might
            be empty for external transaction (i.e. when
            `is_external_transaction == true`).
          default: 0
        attachment_ids:
          type: array
          description: >-
            Array of UUIDs, corresponding to the attachments (up to 5) uploaded
            on the transaction. You can obtain details for each attachment using
            [Get
            attachment](/reference/openapi_v2.yml/paths/~1v2~1attachments~1%7Bid%7D/get).
          items:
            type:
              - string
              - 'null'
        logo:
          type: object
          description: >-
            Object containing URLs to small and medium-sized logos associated
            with the transaction.
          properties:
            small:
              type: string
            medium:
              type: string
        local_amount:
          type: number
          description: Amount of the transaction in the **foreign currency** (if any).
          format: float
          example: 10,87
        local_amount_cents:
          type: integer
          description: Amount of the transaction in the **foreign currency** (if any).
          example: 1087
        side:
          type: string
          description: |-
            - `credit`: incoming transaction
            - `debit`: outgoing transaction
        operation_type:
          type: string
          description: >-
            Available options:

            - `income`: an incoming transfer

            - `transfer`: an outgoing transfer

            - `card`: a card payment

            - `card_acquirer_payout`: a daily payout transaction from Tap to Pay
            card payments

            - `direct_debit`: a SEPA Direct Debit (payments collected from you
            by other businesses)

            - `direct_debit_collection`: a SEPA Direct Debit Collection
            (payments collected from other businesses by you)

            - `direct_debit_hold`: a hold for a Direct Debit Collection, or its
            release

            - `qonto_fee`: a Qonto fee (subscription, atm withdrawal, fx
            card...)

            - `cheque`: a check cashed on the account

            - `recall`: recall of an incoming transfer (by the emitter
            beneficiary or bank)

            - `swift_income`: a SWIFT incoming transfer

            - `pay_later`: a transaction related to financing

            - `financing_installment`: a transaction related to an installment
            of a financed transfer

            - `account_remuneration` : earnings paid by Qonto based on your
            account balance and transaction history

            - `f24`: a tax payment transaction to Italian government agencies
            using the F24 form

            - `pagopa_payment`: a payment transaction to Italian public
            institutions or utility companies via PagoPA

            - `nrc_payment`: a tax payment transaction to Spanish tax
            authorities (AEAT) with NRC reference

            - `riba_payment`: a payment transaction from a supplier's payment
            request (Italian market)

            - `investment`: a transaction related to MMF investment orders

            - `other`: an external transaction for which the type of transaction
            is unknown
        currency:
          type: string
          description: |
            `euros` is the only bank account currency supported by Qonto.
        local_currency:
          type: string
          example: USD
        label:
          type: string
          description: Name of the counterparty of the transaction.
        clean_counterparty_name:
          type:
            - string
            - 'null'
          description: Simplified and standardized version of the counterparty's name.
        settled_at:
          type:
            - string
            - 'null'
          description: >-
            Date and time, in UTC, at which the transaction was finally
            committed to the account, and got set to a `completed` status.

            <br>Do note: the `settled_at` value can be `null`, for transaction
            which aren't `completed` (i.e. `pending`, `reversed` and 
            `declined`).
        emitted_at:
          type: string
          description: >-
            Date and time, in UTC, at which the transaction was first authorized
            and recorded on the bank account.
        created_at:
          type: string
          description: Date and time, in UTC, at which the transaction was created.
        updated_at:
          type: string
          description: >-
            Date and time, in UTC, at which the transaction object was last
            updated (any state change will trigger a bump of this timestamp).
        status:
          type: string
        note:
          type:
            - string
            - 'null'
        reference:
          type:
            - string
            - 'null'
        vat_amount:
          type:
            - number
            - 'null'
          description: Amount aggregate for all the VAT.
          format: float
        vat_amount_cents:
          type:
            - integer
            - 'null'
          description: Amount aggregate for all the VAT.
        vat_rate:
          type:
            - number
            - 'null'
          description: >-
            Rate selected or detected. The value can be `-1` for uncategorized
            rate (e.g in France any value which is not in `0`, `2.1`, `5.5`,
            `10`, `20`) or for transactions with multiple VAT.
          format: float
          example: 10
        initiator_id:
          type:
            - string
            - 'null'
        label_ids:
          type: array
          description: >-
            `id` of the custom label that user can add on a transaction for
            categorization purposes. These labels are accessible using the [GET
            /v2/labels/{id}](/api-reference/business-api/accounts-organizations/labels/retrieve-a-label)
            endpoint.
          items:
            type:
              - string
              - 'null'
        attachment_lost:
          type: boolean
          description: >-
            Sets to `true` if the attachment of the transaction was marked as
            lost.
        attachment_required:
          type: boolean
          description: >-
            Sets to `true` if the attachment of the transaction was marked as
            required.
        card_last_digits:
          type:
            - string
            - 'null'
        category:
          type: string
          deprecated: true
          description: >-
            This field is deprecated and is no longer shown in the UI. Please
            use `cashflow_category` and `cashflow_subcategory` instead. Possible
            values: <br> `restaurant_and_bar` `food_and_grocery` `transport`
            `gas_station` `hotel_and_lodging` `it_and_electronics`
            `hardware_and_equipment` `office_supply` `office_rental` `utility`
            `insurance` `logistics` `online_service` `legal_and_accounting`
            `finance` `tax` `salary` `marketing` `manufacturing` `atm`
            `other_service` `other_expense` `treasury_and_interco` `sales`
            `other_income` `refund` `fees` `subscription` `voucher` `fallback`
            `pending`
        cashflow_category:
          type:
            - object
            - 'null'
          description: Object containing the cash flow category object
          properties:
            name:
              type: string
        cashflow_subcategory:
          type:
            - object
            - 'null'
          description: Object containing the cash flow subcategory object
          properties:
            name:
              type: string
        subject_type:
          type: string
          description: >
            Identifies the type of transaction and maps to the nested additional
            fields with specific transaction data. Not to confuse with the
            property `operation_type` (explained above) which is a more specific
            categorisation of a transaction.


            Values:

            - `Card`: a card payment

            - `Transfer`: an outgoing transfer

            - `Income`: an incoming transfer

            - `DirectDebit`: a SEPA Direct Debit (payments collected from you by
            other businesses)

            - `DirectDebitCollection`: a SEPA Direct Debit Collection (payments
            collected from other businesses by you)

            - `DirectDebitHold`: a hold for a Direct Debit Collection, or its
            release

            - `WalletToWallet`: a transfer between two Qonto accounts

            - `Check`: a Check cashed on the account

            - `SwiftIncome`: a SWIFT incoming transfer

            - `PagopaPayment`: for electronic payments to central and local
            public administration entities

            - `F24Payment`: regulatory report in Italy that is used to pay taxes
            and social security to state entities

            - `BillingTransfer`: a transfer related to the billing of a Qonto
            account

            - `FinancingIncome`: financing for a transfer

            - `FinancingInstallment`: a repayment of the financing

            - `AccountRemuneration`: earnings paid by Qonto based on your
            account balance and transaction history

            - `Investment`: a transaction related to MMF investment orders

            - `Other`: an external transaction for which the type of transaction
            is unknown


            For the subject types `DirectDebit`, `DirectDebitCollection`,
            `DirectDebitHold`, `Income`, `SwiftIncome`, `Transfer`, `Check`,
            `PagopaPayment` and `FinancingInstallment`, you will find a nested
            object (e.g. `direct_debit`) with  additional fields.

            For subject types `AccountRemuneration` and `Investment` you will
            not find any extra nested objects.
        bank_account_id:
          type: string
        is_external_transaction:
          type: boolean
          description: >-
            Sets to `true` for transactions related to external bank accounts
            (cf.
            https://support-fr.qonto.com/hc/en-us/articles/24231375285777-How-to-connect-my-external-accounts-to-my-Qonto-interface).
        attachments:
          type:
            - array
            - 'null'
          description: >-
            Use the following parameter to include `attachments` in the
            response: `includes[]=attachments`.
          items:
            type: object
            properties:
              id:
                type: string
                description: UUID of the attachment.
              created_at:
                type: string
              file_name:
                type: string
              file_size:
                type: string
              file_content_type:
                type: string
              url:
                type: string
              probative_attachment:
                type: object
                properties:
                  status:
                    type: string
        labels:
          type: array
          description: >-
            Use the following parameter to include `labels` in the response:
            `includes[]=labels`.
          items:
            type: object
            properties:
              id:
                type: string
                description: UUID of the label.
              name:
                type: string
              parent_id:
                type: string
        vat_details:
          type: object
          description: >-
            Use the following parameter to include `vat_details` in the
            response: `includes[]=vat_details`.
          properties:
            items:
              type: array
              description: One item for each specific VAT line.
              items:
                type: object
                properties:
                  amount:
                    type: string
                  amount_cents:
                    type: string
                  amount_excluding_vat:
                    type: string
                  amount_excluding_vat_cents:
                    type: string
                  rate:
                    type: string
                    description: >-
                      Rate selected or detected. The value can be `-1` for
                      uncategorized rate (e.g in France any value which is not
                      in `0, 2.1, 5.5, 10, 20`).
        transfer:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: >
                Account number of the transaction’s counterparty. Might be empty
                for external transaction (i.e. when `is_external_transaction ==
                true`).
            counterparty_account_number_format:
              type: string
              description: >-
                Account number format of the transaction’s counterparty.


                Possible values are:

                - `IBAN`;

                -  Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without IBAN**.
            counterparty_bank_identifier:
              type: string
              description: >-
                Bank identifier of the transaction’s counterparty. Might be
                empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier_format:
              type: string
              description: >-
                Bank identifier format of the transaction’s counterparty.


                Possible values are:

                - `SWIFT_BIC`;

                - Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without BIC**.
        income:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: >-
                Account number of the transaction’s counterparty. Might be empty
                for external transaction (i.e. when `is_external_transaction ==
                true`).
            counterparty_account_number_format:
              type: string
              description: >-
                Account number format of the transaction’s counterparty.


                Possible values are:

                - `IBAN`;

                -  Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without IBAN**.
            counterparty_bank_identifier:
              type: string
              description: >-
                Bank identifier of the transaction’s counterparty. Might be
                empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier_format:
              type: string
              description: >-
                Bank identifier format of the transaction’s counterparty.


                Possible values are:

                - `SWIFT_BIC`;

                - Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without BIC**.
        swift_income:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: >-
                Account number of the transaction’s counterparty. Might be empty
                for external transaction (i.e. when `is_external_transaction ==
                true`).
            counterparty_account_number_format:
              type: string
              description: >-
                Account number format of the transaction’s counterparty.


                Possible values are:

                - `unstructured`;

                -  Might be empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier:
              type: string
              description: >-
                Bank identifier of the transaction’s counterparty. Might be
                empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier_format:
              type: string
              description: >-
                Bank identifier format of the transaction’s counterparty.


                Possible values are:

                - `sort_code`;

                - Might be empty for external transaction (i.e. when
                `is_external_transaction == true`).
        direct_debit:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: >-
                Account number of the transaction’s counterparty. Might be empty
                for external transaction (i.e. when `is_external_transaction ==
                true`).
            counterparty_account_number_format:
              type: string
              description: >
                Account number format of the transaction’s counterparty.


                Possible values are:

                - `IBAN`;

                -  Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without IBAN**.
            counterparty_bank_identifier:
              type: string
              description: >-
                Bank identifier of the transaction’s counterparty. Might be
                empty for external transaction (i.e. when
                `is_external_transaction == true`).
            counterparty_bank_identifier_format:
              type: string
              description: >-
                Bank identifier format of the transaction’s counterparty.


                Possible values are:

                - `SWIFT_BIC`;

                - Empty for external transaction (i.e. when
                `is_external_transaction == true`) **without BIC**.
            unique_mandate_reference:
              type: string
              description: Unique mandate reference for the Direct Debit.
              example: FR12ZZZ123456
        check:
          type:
            - object
            - 'null'
          properties:
            check_number:
              type: string
            check_key:
              type: string
        financing_installment:
          type:
            - object
            - 'null'
          properties:
            total_installments_number:
              type: integer
              description: Installment of the current transaction.
            current_installment_number:
              type: integer
              description: Total number of installments.
        pagopa_payment:
          type:
            - object
            - 'null'
          properties:
            notice_number:
              type: string
              description: >-
                Code in the PagoPA Payment Advice that identifies the payment
                notice, to be used for payments with PagoPA (i.e.
                codice_avviso).
            creditor_fiscal_code:
              type: string
              description: >-
                Code in the PagoPA Payment Notice that identifies the creditor
                institution, to be used for PagoPA payments (i.e. codice_ent)
            iuv:
              type: string
              description: >-
                Unique Payment Identifier (UPI) is the code that uniquely
                identifies exclusively a requested payment.
        direct_debit_collection:
          type:
            - object
            - 'null'
          properties:
            counterparty_account_number:
              type: string
              description: Account number of the transaction’s counterparty.
            counterparty_account_number_format:
              type: string
              description: Account number format of the transaction’s counterparty.
            counterparty_bank_identifier:
              type: string
              description: Bank identifier of the transaction’s counterparty.
            counterparty_bank_identifier_format:
              type: string
              description: Bank identifier format of the transaction’s counterparty.
            unique_mandate_reference:
              type: string
              description: Unique mandate reference for the Direct Debit Collection.
        direct_debit_hold:
          type:
            - object
            - 'null'
          properties:
            guarding_rate:
              type: string
      x-examples:
        Transaction from a Qonto bank account:
          id: 01910d82-014a-7783-b40c-41021851726e
          transaction_id: cooperative-boulangere-sud-2161-1-transaction-1910d8-20148
          amount: 1425.6
          amount_cents: 142560
          settled_balance: 41995921.54
          settled_balance_cents: 4199592154
          attachment_ids: []
          logo:
            small: https://qonto.com/customized-qonto-brand-logos/small.png
            medium: https://qonto.com/customized-qonto-brand-logos/medium.png
          local_amount: 1425.6
          local_amount_cents: 142560
          side: debit
          operation_type: qonto_fee
          currency: EUR
          local_currency: EUR
          label: Qonto
          settled_at: '2024-08-01T10:35:09.027Z'
          emitted_at: '2024-08-01T10:35:07.526Z'
          created_at: '2024-08-01T10:35:07.526Z'
          updated_at: '2024-08-01T10:35:09.512Z'
          status: completed
          note: null
          reference: null
          vat_amount: 237.6
          vat_amount_cents: 23760
          vat_rate: 20
          initiator_id: null
          label_ids: []
          attachment_lost: false
          attachment_required: true
          card_last_digits: null
          category: subscription
          cashflow_category:
            name: Others
          cashflow_subcategory:
            name: Tips
          subject_type: BillingTransfer
          bank_account_id: e97d6e4b-8179-47ae-88e9-3e43b230251e
          is_external_transaction: false
        Transaction from an external account.:
          id: 0191221f-258b-7bac-b83e-235fe00ff591
          transaction_id: cooperative-boulangere-sud-2161-4-transaction-191221-f2535
          amount: 11.99
          amount_cents: 1199
          settled_balance: null
          settled_balance_cents: null
          attachment_ids: []
          logo:
            small: https://qonto.com/customized-qonto-brand-logos/small.png
            medium: https://qonto.com/customized-qonto-brand-logos/medium.png
          local_amount: 11.99
          local_amount_cents: 1199
          side: debit
          operation_type: other
          currency: EUR
          local_currency: EUR
          label: Arcade Software Inc.
          clean_counterparty_name: Arcade Software
          settled_at: '2024-06-25T00:00:00.000Z'
          emitted_at: '2024-06-25T00:00:00.000Z'
          created_at: '2024-06-25T00:00:00.000Z'
          updated_at: '2024-08-05T10:39:12.181Z'
          status: completed
          note: null
          reference: null
          vat_amount: null
          vat_amount_cents: null
          vat_rate: null
          initiator_id: null
          label_ids: []
          attachment_lost: false
          attachment_required: true
          card_last_digits: null
          category: other_expense
          cashflow_category:
            name: Others
          cashflow_subcategory:
            name: Tips
          subject_type: Other
          bank_account_id: 0191221f-2452-735f-9144-bff2ca4fa8a4
          is_external_transaction: true
    NotFoundError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            parameter:
              type: string
              description: The parameter that causes the error.
      required:
        - code
        - detail
      x-examples:
        Object not found:
          code: not_found
          detail: Object not found
          source:
            parameter: id
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````